Template::Plugin::Math(3)

NAME
Template::Plugin::Math - Plugin interface to mathematical functions

NAME
Template::Plugin::Math - Plugin providing mathematical functions

SYNOPSIS
    [% USE Math %]

    [% Math.sqrt(9) %]

DESCRIPTION
The Math plugin provides numerous mathematical functions for use within templates.

METHODS
Template::Plugin::Math makes available the following functions from the Perl core:

abs
atan2
cos
exp
hex
int
log
oct
rand
sin
sqrt
srand

In addition, if the Math::Trig module can be loaded, the following functions are also available:

pi
tan
csc
cosec
sec
cot
cotan
asin
acos
atan
acsc
acosec
asec
acot
acotan
sinh
cosh
tanh
csch
cosech
sech
coth
cotanh
asinh
acosh
atanh
acsch
acosech
asech
acoth
acotanh
rad2deg
rad2grad
deg2rad
deg2grad
grad2rad
grad2deg

If the Math::TrulyRandom module is available, and you've got the time to wait, the "truly_random_number" method is available:

    [% Math.truly_random_number %]

AUTHOR
Andy Wardley <abw@wardley.org>

<http://wardley.org/|http://wardley.org/>

VERSION
1.13, distributed as part of the Template Toolkit version 2.15, released on 26 May 2006.

COPYRIGHT
  Copyright (C) 1996-2006 Andy Wardley.  All Rights Reserved.
  Copyright (C) 1998-2002 Canon Research Centre Europe Ltd.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Template::Plugin